iMac won't install Logos 4 updates

Page 1 of 1 (9 items)
This post has 8 Replies | 2 Followers

Posts 4
Dr. Stratton Kearns | Forum Activity | Posted: Thu, May 17 2012 8:27 AM

My iMac, running most current MAC OS LION, will download Logos 4 updates and show installer ready to 'Install & Relaunch". 

When I click on "Install & Relauch", I get error message that update cannot be installed.

What gives?  Is this a Growl App issue?  Any suggestions??

Grateful....

Posts 5248
Dan Francis | Forum Activity | Replied: Thu, May 17 2012 10:09 AM

The installer may be having issues getting Logos to actually quit, try forcing the logos app to quit and see if that works, i had a similar experience with beta 5 and had to manually trash the app from the applications folder and install a fresh version. But the Logos installer was not giving me an error message just failing.

-Dan

Posts 4
Dr. Stratton Kearns | Forum Activity | Replied: Thu, May 17 2012 10:51 AM

Many thanks Dan,

I may have used "error message" when you are more correct to say, "failed to install".  I will try your suggestion.  I also have to dn-load the new version of Logos 4 from the "goodies' list on web-site, & then 'Replace" the application by re-installing  Logos 4 from the down-loaded disc image.

Appreciate your thots... I'll let you know what happens

sk

Posts 15805
Forum MVP
Keep Smiling 4 Jesus :) | Forum Activity | Replied: Thu, May 17 2012 11:04 AM

Dr. Stratton Kearns:
I also have to dn-load the new version of Logos 4 from the "goodies' list on web-site, & then 'Replace" the application by re-installing  Logos 4 from the down-loaded disc image.

Welcome Big Smile

Wiki Mac Troubleshooting has => Update Error section, which includes Logos 4 Mac download links plus manual update steps.

Keep Smiling Smile

Posts 4
Dr. Stratton Kearns | Forum Activity | Replied: Tue, Jun 5 2012 12:18 PM

Logos 4 will not update on iMac running Lion.  

I have investigated the error message logs and found that 'Sparkle" is maybe a problem.  The logs states that 'Sparkle has detected a possible attack".  This appears to be associated with the failure to 'install & relaunch' Logos 4.

Evidently, the dn-load of Logos 4 updates is 'OK', as well as the 'Extracting the Update'.

The problem appears to be with 'install & relaunch' & Sparkle.....as stated above.

Any suggestions??  I have spend quite a bit of time with Logos 4 Tech support & with no success.

The Logos support Tech is great & even logged into my iMac to view the problem.  

I hate to have to dn-load the Logos 4 updates from the web-site and install them manually.

PLEASE .......ANY THOUGHTS !!!   

thanks again....

Posts 15805
Forum MVP
Keep Smiling 4 Jesus :) | Forum Activity | Replied: Tue, Jun 5 2012 6:33 PM

Dr. Stratton Kearns:
The problem appears to be with 'install & relaunch' & Sparkle.....as stated above.

Thread => Update Error has a similar Sparkle message => http://community.logos.com/forums/p/50295/371588.aspx#371588

Dr. Stratton Kearns:

Any suggestions??  ... I hate to have to dn-load the Logos 4 updates from the web-site and install them manually.

Appreciate desire for automatic updates to work consistently.

Wonder about manually updating Logos 4.5b application using wiki => Update Error steps ? 

Personally living and learning a bit; suspect Sparkle framework is part of the automatic update code in Logos 4 Mac, which may be adversely affected by User Interface (UI) code generation changes, thread =>  Bulk Star Ratings Not Working includes stable regression discussion.

Wiki Mac and PC User Interface Differences => Feature Parity list has a number of Logos 4.5b regressions with about half of those regressions already fixed in Logos 4.5c Beta releases.  Apologies: personally have not encountered Sparkle error so do not know if 4.5c Beta includes appropriate fix.

Keep Smiling Smile

Posts 19
Diederick Rudolph Schwartz | Forum Activity | Replied: Thu, Jun 14 2012 6:45 PM

I experience the very same problem.  It seems, however, if Logos to get my latest purchases in the library. 

But I can't tell you if I have the latest version of the software. (Mine is 4.5b SR-2 (4.52.0.2202)?  Is this the latest?

Rudi

Posts 27557
Forum MVP
JT (alabama24) | Forum Activity | Replied: Thu, Jun 14 2012 7:05 PM

Diederick Rudolph Schwartz:
I can't tell you if I have the latest version of the software. (Mine is 4.5b SR-2 (4.52.0.2202)?  Is this the latest?

The newest release version is Logos 4.5b SR-3. Try using the command update now. If that doesn't download the newer version, please start a new thread and describe your issues.

OSX & iOS | Logs |  Install

Posts 3148
LogosEmployee
Thomas Ball | Forum Activity | Replied: Fri, Aug 10 2012 4:31 PM

For anyone that is/has been unable to update, and recieves a message indicting Growl, can you tell me if you have Time Machine, and if during the attempted update, it was running? 

 

 

Page 1 of 1 (9 items) | RSS